Bug 85656 - Rebuild sendmail-8.12.8-1.80.src.rpm in 6.2, 7.1, 7.3 broken
Rebuild sendmail-8.12.8-1.80.src.rpm in 6.2, 7.1, 7.3 broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-05 11:54 EST by Damon Gunther
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-06 06:17:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damon Gunther 2003-03-05 11:54:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
When trying to rebuild sendmail-8.12.8-1.80.src.rpm under 6.2, 7.1, and 7.3 the
build fails with various problems.  After figuring out the problem, I found fixes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install sendmail-8.12.8-1.80.src.rpm
2.Run rpm -bb on spec file
3.
    

Actual Results:  7.1 build:  The build is looking for redhat.config.m4.in file,
of which is specified in the patch sendmail-8.11.0-redhat.patch as
redhat.config.m4.  The build fails with the error:

+ sed -e 's,%{_libdir},/usr/lib,g' -e 's,%{_lib},lib,g' redhat.config.m4.in
sed: can't read redhat.config.m4.in: No such file or directory

7.3 build: The build looks for db4, which does not exist in 7.3. Error:

/usr/bin/ld: cannot find -ldb-4.0

Expected Results:  7.1:  The sendmail-8.11.0-redhat.patch file should specify 
redhat.config.m4.in.

7.3 expected:  The sendmail-8.12.2-redhat.patch needs to have -ldb-4.0 changed
to -ldb.  The include for /usr/include/db4 is harmless.

Additional info:

The build also fails for 6.2, in the same form the 7.1 build did looking for
redhat.config.m4.in.  That patch file is sendmail-8.11.0-redhat.patch2 and
should be changed likewise.

My build failed for 6.2 when it got to the nested ifs around like 52 of the spec
file.  But I am using an older version of rpm, so I suspect that is the problem.
 MY problem.  :)
Comment 1 Florian La Roche 2003-03-05 16:22:55 EST
I have uploaded sendmail-8.12.8-4b.src.rpm to
http://people.redhat.com/laroche/. Let me know if that
still fails to build for you.

Thanks,

Florian La Roche
Comment 2 Florian La Roche 2003-03-06 06:17:00 EST
Ok, the rpm on people.redhat.com works for me, please open a new request if
you have further improvements to our sendmail rpm.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.